Package org.pushingpixels.lafwidget.tabbed

# Class TabPagerManager.TabPagerPreviewCallback

java.lang.Object
org.pushingpixels.lafwidget.tabbed.TabPagerManager.TabPagerPreviewCallback

All Implemented Interfaces:
  `TabPreviewThread.TabPreviewCallback`

Enclosing class:
  `TabPagerManager`

public class TabPagerManager.TabPagerPreviewCallback extends Object implements TabPreviewThread.TabPreviewCallback
Implementation of the tab preview callback for the tab pager.

## Constructor Summary

Constructors
Constructor
Description
`TabPagerPreviewCallback(JWindow previewWindow, JTabbedPane tabPane, int tabIndex)`
Creates a new tab preview callback for the tab pager.

## Method Summary

Modifier and Type
Method
Description
`void`
`offer(JTabbedPane tabPane, int tabIndex, BufferedImage componentSnap)`
Offers the preview image (thumbnail) of a tab in the specified tabbed pane.
`void`
`start(JTabbedPane tabPane, int tabCount, TabPreviewThread.TabPreviewInfo tabPreviewInfo)`
Starts the current cycle of `TabPreviewThread.TabPreviewCallback.offer(JTabbedPane, int, BufferedImage)` calls.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabPagerPreviewCallback

public TabPagerPreviewCallback(JWindow previewWindow, JTabbedPane tabPane, int tabIndex)
Creates a new tab preview callback for the tab pager.

Parameters:
  `previewWindow` - The associated preview window.
  `tabPane` - The associated tab preview control.
  `tabIndex` - Tab index.

## Method Details

### start

public void start(JTabbedPane tabPane, int tabCount, TabPreviewThread.TabPreviewInfo tabPreviewInfo)
Description copied from interface: `TabPreviewThread.TabPreviewCallback`
Starts the current cycle of `TabPreviewThread.TabPreviewCallback.offer(JTabbedPane, int, BufferedImage)` calls. This can be used by the implementing class to revalidate itself in case the tab count in the specified tabbed pane has changed since the previous cycle of `TabPreviewThread.TabPreviewCallback.offer(JTabbedPane, int, BufferedImage)` call.

Specified by:
  `start` in interface `TabPreviewThread.TabPreviewCallback`
Parameters:
  `tabPane` - Tabbed pane.
  `tabCount` - Tab count in the tabbed pane.
  `tabPreviewInfo` - Tab preview info. Can be changed in the implementation code.

### offer

public void offer(JTabbedPane tabPane, int tabIndex, BufferedImage componentSnap)
Description copied from interface: `TabPreviewThread.TabPreviewCallback`
Offers the preview image (thumbnail) of a tab in the specified tabbed pane.

Specified by:
  `offer` in interface `TabPreviewThread.TabPreviewCallback`
Parameters:
  `tabPane` - Tabbed pane.
  `tabIndex` - Tab index.
  `componentSnap` - Tab preview image.